La migration de Drupal 6 à Drupal 7 : Différence entre versions

De April MediaWiki
m (ajout page migration drupal incomplète)
 
m (Mise à jour pré-migration)
 
(9 révisions intermédiaires par 2 utilisateurs non affichées)
Ligne 1 : Ligne 1 :
[[Catégorie:SiteWebHistorique]]
+
[[Catégorie:SiteWeb]] [[Catégorie:Travail en cours]]
  
{{Introduction|Cette page est conservée à titre historique}}
+
{{Introduction|Travail en cours}}
  
Cette page est utilisée pour préparer la migration du site principale de l'association de Drupal 6 à Drupal 7. Cette migration a été réalisée l'été 2010. Elle fait partie d'un projet plus vaste : [[SiteWeb:V2_du_site_Web|la mise en place d'une seconde version pour le site Web sous Drupal]].
+
Cette page est utilisée pour préparer la migration du site principale de l'association de Drupal 6 à Drupal 7. Elle fait partie d'un projet plus vaste : [[SiteWeb:V2_du_site_Web|la mise en place d'une seconde version pour le site Web sous Drupal]].
 +
 
 +
== Mise à jour pré-migration ==
 +
 
 +
Avant d'entamer la migration vers Drupal 7, Drupal 6 a été mis à jour, avec tout ses modules, dans les dernières versions disponibles.
 +
 
 +
Lise des modules mis à jour :
 +
* contact_form
 +
* date
 +
* localization client
 +
* panels
 +
* Printer, email and PDF
 +
* tayonomy access control lite
 +
* view unpublished
 +
* theme bluebreeze
 +
* theme zen
 +
 
 +
Attention :
 +
Lors de la mise à jour mineur, les fichiers .htaccess et robots.txt sont remplacés. Penser à les remettre juste après.
  
 
==Liste des modules Drupal utilisés ==
 
==Liste des modules Drupal utilisés ==
Ligne 11 : Ligne 29 :
 
{| class="wikitable" border="1"
 
{| class="wikitable" border="1"
 
|-
 
|-
! Module || Version || Commentaire || Utile || Notes sur la mise à jour
+
! Module || Version || Commentaire || Utile || Notes sur la mise à jour D6 || Notes sur la mise à jour D7
|-
 
| admin_menu || 6.x-1.5 ||/ ||bgcolor="#a0ffa0"| Purement gadget, pas activé
 
|-
 
| alexandrie ||Module interne April || A vérifier si le module fonctionne sous Drupal 6  ||bgcolor="#a0ffa0"| Utile, peut être temporairement désactivé
 
|-
 
| advcontact || 6.x-1.1 || / ||bgcolor="#a0ffa0"| Oui
 
|-
 
| affiliates || 6.x-1.10 || / ||bgcolor="#a0ffa0"| Est dans la catégorie "module inutile de démocratisation", à supprimer.
 
|-
 
| alinks || 6.x-1.0-rc1 || La dernière release pour D6 date de 15 otc. 2008 et est une RC ||bgcolor="#a0ffa0"| Oui
 
|-
 
| cck || 6.x-2.6 || / ||bgcolor="#a0ffa0"| Oui || Il faut d'abord mettre à jour les modules en dépendant en version 5.x cf. http://drupal.org/project/cc
 
|-
 
| contact_forms || 6.x-1.12 || / ||bgcolor="#a0ffa0"| Sans doute utilisé comme advcontact
 
|-
 
| contemplate || 6.x-1.1 || / ||bgcolor="#a0ffa0"| oui, par snip
 
|-
 
| date || 6.x-2.4 || / ||bgcolor="#a0ffa0"| il serait utile de s'en servir avec CCK pour des champs de date, mais il y a un bug avec la présence event.
 
|-
 
| diff || 6.x-2.0 || ||bgcolor="#a0ffa0"| Oui
 
|-
 
| docs || ? || Pas de version 6.x ||bgcolor="#a0ffa0"| ? n'est pas activé, n'est donc pas utilisé, est donc à supprimer.
 
 
|-
 
|-
| downld || ? || Pas de version 6.x; Contournement dans les correctifs ||bgcolor="#a0ffa0"| ? n'est pas activé, n'est donc pas utilisé, est donc à supprimer.
+
| Advanced_Contact||6.x-1.1||  ||  || à jour || pas de version 7.x, voir si la 6.x marche encore sous D7
 
|-
 
|-
| event || 6.x-2.x-dev || Development snapshot ||bgcolor="#a0ffa0"| Oui à priori, mais va être supprimer pour une autre solution de gestion des événement. || Possibilité d'export en iCal pour un migration vers Date+Calendar après migration en D6. cf http://drupal.org/node/524394
+
| Advanced_help || 6.x-1.2 || || || à jour || 7.x-1.0 dispo
 
|-
 
|-
| event_manager || ? || Pas de version 6.x; Peut être remplacé par Event + Signup + Calendar + Signup Scheduler ||bgcolor="#a0ffa0"| Va être supprimer comme event.
+
| Alinks || 6.x-1.0-rc1 ||  || || à jour || 7.x-1.1 dispo
 
|-
 
|-
| footnotes || 6.x-2.3 || / ||bgcolor="#a0ffa0"| Oui
+
| Calendar || 6.x-2.4 ||  || || à jour || 7.x-3.4 dispo
 
|-
 
|-
| gdtc || Module interne April || A vérifier si le module fonctionne sous Drupal 6 ||bgcolor="#a0ffa0"| Oui
+
| Chaos_tool_suite (ctools) || 6.x-1.8 || ||  || à jour || 7.x-1.0 dispo
 
|-
 
|-
| gdtc_auth || Module interne April || A vérifier si le module fonctionne sous Drupal 6 ||bgcolor="#a0ffa0"| Oui
+
| Contact Forms || 6.x-1.12 ||  || || version recommendée 6.x-1.14 (2012-avr.-17) || 7.x-1.3 dispo
 
|-
 
|-
| i18n || 6.x-1.4 || / ||bgcolor="#a0ffa0"| Oui
+
| Content_Construction_Kit (CCK) || 6.x-2.9 ||   ||   || Egalement disponible : 6.x-3.0-alpha3 (2011-mars-17) || 7.x-2.x-dev voir si fonctionnelle, sinon si 6.x marche encore
 
|-
 
|-
| importexportapi || 6.x-1.x-dev || Development snapshot ||bgcolor="#a0ffa0"| Utilisés lors de la migration. Peut être supprimé
+
| Content Templates (Contemplate) || 6.x-1.2 ||  ||   || à jour || 7.x-1.0-rc3 dispo
 
|-
 
|-
| insert_view || 6.x-2.x-dev || / ||bgcolor="#a0ffa0"| Oui, pour insérer le contenu d'une view dans un node. || Déconseillé suite à des problème de sécurité, cf. http://drupal.org/project/insert_view
+
| Date || 6.x-2.7  ||   ||   || Version recommandée : 6.x-2.9 (2012-avr.-27)  || 7.x-2.5 dispo
 
|-
 
|-
| link || 6.x-2.8 || / ||bgcolor="#a0ffa0"| Oui, sous-module de CCK.
+
| Diff || 6.x-2.||   ||   || à jour || 7.x-2.0 dispo
 
|-
 
|-
| liquid || ? || Pas de version 6.x || bgcolor="#a0ffa0"| ? n'est pas activé, n'est donc pas utilisé, est donc à supprimer.
+
| Feed_Path_Publisher || 6.x-1.2  ||  ||   || à jour ? ||
 
|-
 
|-
| media_mover || 6.x-1.0-beta2 || / ||bgcolor="#a0ffa0"| A supprimer.
+
| Footnotes || 6.x-2.5  ||  ||   || à jour  || 7.x-2.5 dispo
 
|-
 
|-
| mimemail || 6.x-1.0-alpha2 || Development snapshot || bgcolor="#a0ffa0"| A garder, sans doute utilier pour des mails en HTML par des modules tel que contact ou tell a friend.
+
| HTMLcomment || 6.x-1.0 ||   ||  || à jour  || pas de version 7.x, voir si la 6.x marche encore sous D7   
 
|-
 
|-
| node_clone || 6.x-1.0 || / ||bgcolor="#a0ffa0"| <s>Oui, pas fondamental mais est utile</s> J'ai cru comprendre que son fonctionnement avec i18n n'est pas recommendé. A supprimer donc.
+
| Internationalization || 6.x-1.10  ||   ||   || à jour  ||    7.x-1.7 dispo
 
|-
 
|-
| node_import || 6.x-1.0-rc4 || / ||bgcolor="#a0ffa0"| Utilisés lors de la migration. Peut être supprimé
+
| Link || 6.x-2.9  ||  ||   || à jour ||   7.x-1.0 dispo
 
|-
 
|-
| nodeteaser || || Pas de version 6.x; Nouvelle version dans les contributions ||bgcolor="#a0ffa0"| Inutile avec Drupal 6 ? Je pense, mais si une fonction est utile, voir : http://drupalmodules.com/module-finder?title=teaser&v=6.x
+
| Localization_client || 6.x-2.0  ||  ||   || Version recommandée : 6.x-2.1 (2012-avr.-26) || 7.x-1.1 dispo
à supprimer lors de la migration et VÉRIFIER que tout vas bien pour les teasers.
 
 
|-
 
|-
| nodewords || 6.x-1.0 || / ||bgcolor="#a0ffa0"| HORREUR ! Ajoute la premiere ligne (pas forcément une phrase complete) dans les entets HTML... A SUPPRIMER.
+
| Mime_Mail || 6.x-1.0 ||   ||   || à jour || 7.x-1.0-alpha1 dispo
 
|-
 
|-
| noreqnewpass || 6.x-2.0 || / ||bgcolor="#a0ffa0"| Oui, dépendence de gdtc_auth
+
| No_request_new_password || 6.x-2.0 ||   ||   || à jour ||    7.x-1.2 dispo
 
|-
 
|-
| og || 6.x-2.0 || / ||bgcolor="#a0ffa0"| à supprimer et trouver une solution correcte pour gérer les permissions (des groupes de travail).
+
| Node_clone || 6.x-1.3  ||   ||   || à jour ||    7.x-1.0-beta1 dispo
 
|-
 
|-
| panels || 6.x-3.3 ||/ ||bgcolor="#a0ffa0"| Oui || cf. http://drupal.org/node/515140 pour les notes sur une mise à jour du Panels 2 vers Panels 3
+
| Panels || 6.x-3.9 ||   ||   || Mise à jour de sécurité : 6.x-3.10 (2012-janv.-18)  || 7.x-3.2 dispo
 
|-
 
|-
| pathauto || 6.x-1.3 ||/ ||bgcolor="#a0ffa0"| Oui || Après mise à jour, il est nécessaire de vérifier la configuration. cf INSTALL.txt
+
| Pathauto || 6.x-1.||   ||   || à jour || 7.x-1.1 dispo
 
|-
 
|-
| path_redirect || 6.x-1.0-beta6 || / ||bgcolor="#a0ffa0"| Pas utilisé, bye ;).
+
| Printer, email and PDF versions || 6.x-1.14  ||   ||   || Version recommandée : 6.x-1.17 (2012-Mai-25) ? ||
 
|-
 
|-
| print || 6.x-1.10 || / ||bgcolor="#a0ffa0"| Oui || Requiert Drupal 6.11+
+
| Quotes || 6.x-1.42 ||   ||   || à jour || 7.x-1.x-dev voir si fonctionnelle
 
|-
 
|-
| private_upload || 6.x-1.0-rc2 || / ||bgcolor="#a0ffa0"| Test pour le chargement des fichiers. Peut être supprimé
+
| Search 404 || 6.x-1.11  ||  ||   || à jour  || 7.x-1.1
 
|-
 
|-
| quotes || 6.x-1.40 || / ||bgcolor="#a0ffa0"| Oui
+
| Syndication || 6.x-1.||   ||   || à jour  || 7.x-1.x-dev voir si fonctionnelle 
 
|-
 
|-
| search404 || 6.x-1.9 || Ne sera peut-être pas utile avec D6 ||bgcolor="#a0ffa0"| Oui, mais n'est pas la solution parfaite. http://www.april.org/wws/arc/siteweb/2008-12/msg00016.html Il ajoute un formualire de recherche car la recherche a partir d'une page 404 ne fonctionne pas.
+
| Table of Contents || 6.x-3.||   ||  || à jour  || pas de version 7.x, voir si la 6.x marche encore sous D7
 
|-
 
|-
| service_links || 6.x-1.0 || / ||bgcolor="#a0ffa0"| Est dans la catégorie "module inutile de démocratisation", à supprimer.
+
| Tagadelic || 6.x-1.||   ||   || à jour || pas de version 7.x, voir si la 6.x marche encore sous D7     
 
|-
 
|-
| simplenews || 6.x-1.0-rc6 || / ||bgcolor="#a0ffa0"| ? n'est pas activé, n'est donc pas utilisé, est donc à supprimer.
+
| Taxonomy Access Control Lite || 6.x-1.5  ||   ||   || Mise à jour de sécurité : 6.x-1.6 (2011-juin-08) || pas de version 7.x, voir si la 6.x marche encore sous D7
 
|-
 
|-
| syndication || 6.x-1.6 || / ||bgcolor="#a0ffa0"| Semble répondre à un problème. A bien regarder pour voir comment l'utiliser.
+
| Theme Settings API || 6.x-1.4 ||   ||   || à jour  || pas de version 7.x, voir si la 6.x marche encore sous D7   
 
|-
 
|-
| tableofcontents || 6.x-3.5 || / ||bgcolor="#a0ffa0"| oui
+
| Token || 6.x-1.18  ||   ||   || à jour || 7.x-1.1 dispo
 
|-
 
|-
| tagadelic || 6.x-1.2 || / ||bgcolor="#a0ffa0"| Oui, mais pas forcement nécessaire.
+
| Upload path || 6.x-1.||   ||   || à jour || pas de version 7.x, voir si la 6.x marche encore sous D7         
 
|-
 
|-
| taxonomy_batch_operations || ? || Pas de version 6.x; Peut être remplacé par VBO (http://drupal.org/project/views_bulk_operations) ||bgcolor="#a0ffa0"| A supprimer, sans doute utiliser lors de la migration. Utile uniquement pour des administrateurs.
+
| view_unpublished || 6.x-1.2 ||  ||  || Version recommandée : 6.x-1.3 (2012-Mai-07) || 7.x-1.1 dispo
 
|-
 
|-
| tellafriend || 6.x-2.8 || / ||bgcolor="#a0ffa0"| Est dans la catégorie "module inutile de démocratisation", à garder pour le plaisir d'alxc.
+
| Views || 6.x-2.16  ||   ||   || à jour || 7.x-3.3 dispo
 
|-
 
|-
| themesettingsapi || 6.x-1.4 || / ||bgcolor="#a0ffa0"| sans doute utilisé pour le thème  personalisé. A garder.
+
| bluebreeze || 6.x-1.x-dev (2010-juill.-11)  ||   ||   || 6.x-1.x-dev (2011-févr.-25) || pas de version 7.x, voir si la 6.x marche encore sous D7
|-
 
| token || 6.x-1.12 || / ||bgcolor="#a0ffa0"| oui, pour des questions de dépendances
 
|-
 
| uploadpath || 6.x-1.0 || / ||bgcolor="#a0ffa0"| semble répondre au problème soulevé par le grand bazar du dossier files mais, paradoxalement ne semble pas avoir été utilisé jusqu'au bout. Peut être désactiver, à mettre en place pour la D6.
 
|-
 
| views || 6.x-2.6 || / ||bgcolor="#a0ffa0"| Oui || Conversion manuelle de chaque view nécessaire après la mise à jour.
 
|-
 
| view_unpublished || 6.x-1.0 || / ||bgcolor="#a0ffa0"| Oui
 
|-
 
| webform || 6.x-2.7 || / ||bgcolor="#a0ffa0"| Ne semble pas être utilisé puise ce module ajoute un type de contenu et aucun node de type webform n'existe. A supprimer.
 
|-
 
| xmlsitemap || 6.x-1.2 || / ||bgcolor="#a0ffa0"| ???  peut-être utile pour voir la liste des pages. pourquoi pas ??? Est utile pour le référencement. A GARDER (snip) || cf. INSTALL.txt pous instructions de mise à jour
 
 
|-
 
|-
 +
| Zen || 6.x-1.1  ||  ||  || Version recommandée : 6.x-1.2 (2011-févr.-25) || 7.x-5.1 dispo
 
|}
 
|}
 +
 +
'''Remarque :'''
 +
Drupal refuse d'entendre quoi que ce soit avec des modules en version N-1.X (des modules 6.x sous d7 par exemple) : drush et drupal-update refusent de chercher des mises à jour, drupal refuse de les activer. Une solution est de changer la version dans le fichier nom-du-module.info, mais cela ne protège pas d'incompatibilités et autres bugs.
  
 
== Ce qu'on fait des modules ==
 
== Ce qu'on fait des modules ==
Ligne 163 : Ligne 150 :
 
===== ''Documentées'' =====
 
===== ''Documentées'' =====
  
===== Non '''documentées'' et à creuser =====
+
===== Non ''documentées'' et à creuser =====

Version actuelle datée du 30 juillet 2012 à 12:03


Travail en cours

Cette page est utilisée pour préparer la migration du site principale de l'association de Drupal 6 à Drupal 7. Elle fait partie d'un projet plus vaste : la mise en place d'une seconde version pour le site Web sous Drupal.

Mise à jour pré-migration[modifier]

Avant d'entamer la migration vers Drupal 7, Drupal 6 a été mis à jour, avec tout ses modules, dans les dernières versions disponibles.

Lise des modules mis à jour :

* contact_form
* date
* localization client
* panels
* Printer, email and PDF
* tayonomy access control lite
* view unpublished
* theme bluebreeze
* theme zen

Attention : Lors de la mise à jour mineur, les fichiers .htaccess et robots.txt sont remplacés. Penser à les remettre juste après.

Liste des modules Drupal utilisés[modifier]

Liste des modules Drupal 6 utilisés sur le site et les équivalents sous Drupal 7 :

Module Version Commentaire Utile Notes sur la mise à jour D6 Notes sur la mise à jour D7
Advanced_Contact 6.x-1.1 à jour pas de version 7.x, voir si la 6.x marche encore sous D7
Advanced_help 6.x-1.2 à jour 7.x-1.0 dispo
Alinks 6.x-1.0-rc1 à jour 7.x-1.1 dispo
Calendar 6.x-2.4 à jour 7.x-3.4 dispo
Chaos_tool_suite (ctools) 6.x-1.8 à jour 7.x-1.0 dispo
Contact Forms 6.x-1.12 version recommendée 6.x-1.14 (2012-avr.-17) 7.x-1.3 dispo
Content_Construction_Kit (CCK) 6.x-2.9 Egalement disponible : 6.x-3.0-alpha3 (2011-mars-17) 7.x-2.x-dev voir si fonctionnelle, sinon si 6.x marche encore
Content Templates (Contemplate) 6.x-1.2 à jour 7.x-1.0-rc3 dispo
Date 6.x-2.7 Version recommandée : 6.x-2.9 (2012-avr.-27) 7.x-2.5 dispo
Diff 6.x-2.3 à jour 7.x-2.0 dispo
Feed_Path_Publisher 6.x-1.2 à jour ?
Footnotes 6.x-2.5 à jour 7.x-2.5 dispo
HTMLcomment 6.x-1.0 à jour pas de version 7.x, voir si la 6.x marche encore sous D7
Internationalization 6.x-1.10 à jour 7.x-1.7 dispo
Link 6.x-2.9 à jour 7.x-1.0 dispo
Localization_client 6.x-2.0 Version recommandée : 6.x-2.1 (2012-avr.-26) 7.x-1.1 dispo
Mime_Mail 6.x-1.0 à jour 7.x-1.0-alpha1 dispo
No_request_new_password 6.x-2.0 à jour 7.x-1.2 dispo
Node_clone 6.x-1.3 à jour 7.x-1.0-beta1 dispo
Panels 6.x-3.9 Mise à jour de sécurité : 6.x-3.10 (2012-janv.-18) 7.x-3.2 dispo
Pathauto 6.x-1.6 à jour 7.x-1.1 dispo
Printer, email and PDF versions 6.x-1.14 Version recommandée : 6.x-1.17 (2012-Mai-25) ?
Quotes 6.x-1.42 à jour 7.x-1.x-dev voir si fonctionnelle
Search 404 6.x-1.11 à jour 7.x-1.1
Syndication 6.x-1.7 à jour 7.x-1.x-dev voir si fonctionnelle
Table of Contents 6.x-3.7 à jour pas de version 7.x, voir si la 6.x marche encore sous D7
Tagadelic 6.x-1.3 à jour pas de version 7.x, voir si la 6.x marche encore sous D7
Taxonomy Access Control Lite 6.x-1.5 Mise à jour de sécurité : 6.x-1.6 (2011-juin-08) pas de version 7.x, voir si la 6.x marche encore sous D7
Theme Settings API 6.x-1.4 à jour pas de version 7.x, voir si la 6.x marche encore sous D7
Token 6.x-1.18 à jour 7.x-1.1 dispo
Upload path 6.x-1.0 à jour pas de version 7.x, voir si la 6.x marche encore sous D7
view_unpublished 6.x-1.2 Version recommandée : 6.x-1.3 (2012-Mai-07) 7.x-1.1 dispo
Views 6.x-2.16 à jour 7.x-3.3 dispo
bluebreeze 6.x-1.x-dev (2010-juill.-11) 6.x-1.x-dev (2011-févr.-25) pas de version 7.x, voir si la 6.x marche encore sous D7
Zen 6.x-1.1 Version recommandée : 6.x-1.2 (2011-févr.-25) 7.x-5.1 dispo

Remarque : Drupal refuse d'entendre quoi que ce soit avec des modules en version N-1.X (des modules 6.x sous d7 par exemple) : drush et drupal-update refusent de chercher des mises à jour, drupal refuse de les activer. Une solution est de changer la version dans le fichier nom-du-module.info, mais cela ne protège pas d'incompatibilités et autres bugs.

Ce qu'on fait des modules[modifier]

À désactiver, désinstaller et supprimer[modifier]

À supprimer lors du nettoyage.

Sans scrupule[modifier]

Un mot à dire[modifier]

Entre les deux[modifier]

A trouver une solution de remplacement[modifier]

À [ supprimer / garder / mieux configurer / tester ] et trouver la solution de préférence lors de la migration

À configurer pour bien les utiliser[modifier]

Modules internes, à faire migrer[modifier]

  • alexendrie
  • gdtc
  • gdtc_auth


À garder[modifier]

Les fondamentaux[modifier]

Dépendances[modifier]

Pas fondamental mais utile[modifier]

À supprimer s'ils posent problème.

L'édition[modifier]

Utile / sous-module / Autre[modifier]

Modules potentiellement intéressants[modifier]

Sous-modules de CCK[modifier]

Notes[modifier]

Proposition de plan de migration[modifier]

Notes, discussions[modifier]

Modifications des fichiers de Drupal ou de modules sur le site[modifier]

Documentées[modifier]
Non documentées et à creuser[modifier]